Index: c/src/exec/score/tools/Makefile.in
===================================================================
--- c/src/exec/score/tools/Makefile.in	(revision 254b4450718a0873b444d35aeb6d74ba589734ea)
+++ c/src/exec/score/tools/Makefile.in	(revision 254b4450718a0873b444d35aeb6d74ba589734ea)
@@ -0,0 +1,13 @@
+#
+#  $Id$
+#
+
+@SET_MAKE@
+srcdir = @srcdir@
+top_srcdir = @top_srcdir@
+VPATH=@srcdir@
+
+include $(RTEMS_CUSTOM)
+include $(PROJECT_ROOT)/make/directory.cfg
+
+SUB_DIRS=generic $(wildcard $(RTEMS_CPU))
Index: c/src/exec/score/tools/generic/Makefile.in
===================================================================
--- c/src/exec/score/tools/generic/Makefile.in	(revision 254b4450718a0873b444d35aeb6d74ba589734ea)
+++ c/src/exec/score/tools/generic/Makefile.in	(revision 254b4450718a0873b444d35aeb6d74ba589734ea)
@@ -0,0 +1,33 @@
+#
+# $Id$
+#
+# RTEMS build tools
+# NOTE: of course we can't use any of these tools
+#		in this Makefile.  Most notably: install-if-change
+#
+
+@SET_MAKE@
+srcdir = @srcdir@
+top_srcdir = @top_srcdir@
+VPATH=@srcdir@
+
+include $(RTEMS_CUSTOM)
+include $(PROJECT_ROOT)/make/leaf.cfg
+
+DESTDIR=$(PROJECT_RELEASE)/bin
+
+PGMS=size_rtems
+
+INSTALLED=$(PGMS:%=$(DESTDIR)/%)
+
+all:	$(DESTDIR) $(PGMS) install
+	echo $(DESTDIR)
+
+$(DESTDIR):
+	[ -d $@ ] || $(MKDIR) $@
+
+install:  $(INSTALLED)
+
+# Install the program
+$(DESTDIR)/%: %
+	$(make-script)
Index: c/src/exec/score/tools/hppa1.1/Makefile.in
===================================================================
--- c/src/exec/score/tools/hppa1.1/Makefile.in	(revision 254b4450718a0873b444d35aeb6d74ba589734ea)
+++ c/src/exec/score/tools/hppa1.1/Makefile.in	(revision 254b4450718a0873b444d35aeb6d74ba589734ea)
@@ -0,0 +1,62 @@
+#
+#  $Id$
+#
+
+@SET_MAKE@
+srcdir = @srcdir@
+top_srcdir = @top_srcdir@
+VPATH=@srcdir@
+
+# we use host compiler here for genoffsets.  Hopefully it has same alignment!!
+USE_HOST_COMPILER=yes
+
+# C source names, if any, go here -- minus the .c
+C_PIECES=genoffsets
+C_FILES=$(C_PIECES:%=%.c)
+C_O_FILES=$(C_PIECES:%=${ARCH}/%.o)
+
+H_FILES=
+
+SRCS=$(C_FILES) $(H_FILES)
+OBJS=$(C_O_FILES)
+
+PGMS=${ARCH}/genoffsets
+
+include $(RTEMS_CUSTOM)
+include $(PROJECT_ROOT)/make/leaf.cfg
+
+# We use files that have not been installed yet.
+CPU_DIR=../../cpu/$(RTEMS_CPU)
+
+#
+# (OPTIONAL) Add local stuff here using +=
+#
+
+DEFINES  +=
+CPPFLAGS += -I$(PROJECT_RELEASE)/include \
+	    -I$(CPU_DIR)
+CFLAGS   +=
+
+LD_PATHS  +=
+LD_LIBS   +=
+LDFLAGS   +=
+
+#
+# Add your list of files to delete here.
+#
+
+CLEAN_ADDITIONS +=
+CLOBBER_ADDITIONS +=
+
+all:	${ARCH} $(SRCS) preinstall $(PGMS)
+	$(INSTALL) -m 555 ${PGMS} ${PROJECT_RELEASE}/bin
+
+# Hack
+# we are #including files that haven't been installed yet.
+# Make sure they are available in the src tree (ie: checked
+# out from SCCS or RCS)
+preinstall: FORCEIT
+	cd $(CPU_DIR);   $(MAKE) install-headers
+
+# Install the program(s), appending _g or _p as appropriate.
+# for include files, just use $(INSTALL)
Index: c/src/exec/score/tools/unix/Makefile.in
===================================================================
--- c/src/exec/score/tools/unix/Makefile.in	(revision 254b4450718a0873b444d35aeb6d74ba589734ea)
+++ c/src/exec/score/tools/unix/Makefile.in	(revision 254b4450718a0873b444d35aeb6d74ba589734ea)
@@ -0,0 +1,61 @@
+#
+#  $Id$
+#
+
+@SET_MAKE@
+srcdir = @srcdir@
+top_srcdir = @top_srcdir@
+VPATH=@srcdir@
+
+# we use host compiler here for gensize.  Hopefully it has same alignment!!
+USE_HOST_COMPILER=yes
+
+# C source names, if any, go here -- minus the .c
+C_PIECES=gensize
+C_FILES=$(C_PIECES:%=%.c)
+C_O_FILES=$(C_PIECES:%=${ARCH}/%.o)
+
+H_FILES=
+
+SRCS=$(C_FILES) $(H_FILES)
+OBJS=$(C_O_FILES)
+
+PGMS=${ARCH}/gensize
+
+include $(RTEMS_CUSTOM)
+include $(PROJECT_ROOT)/make/leaf.cfg
+
+# We use files that have not been installed yet.
+CPU_DIR=../../cpu/$(RTEMS_CPU)
+
+#
+# (OPTIONAL) Add local stuff here using +=
+#
+
+DEFINES  +=
+CPPFLAGS += -I$(PROJECT_RELEASE)/include \
+	    -I$(CPU_DIR)
+CFLAGS   +=
+
+LD_PATHS  +=
+LD_LIBS   +=
+LDFLAGS   +=
+
+#
+# Add your list of files to delete here.
+#
+
+CLEAN_ADDITIONS +=
+CLOBBER_ADDITIONS +=
+
+all:	${ARCH} $(SRCS) $(PGMS)
+	$(INSTALL) -m 555 ${PGMS} ${PROJECT_RELEASE}/bin
+
+# Hack
+# we are #including files that haven't been installed yet.
+# Make sure they are available in the src tree (ie: checked
+# out from SCCS or RCS)
+preinstall: 
+
+# Install the program(s), appending _g or _p as appropriate.
+# for include files, just use $(INSTALL)
